Support Incident Tracker cross-site scripting sérülékenységek

CH azonosító

CH-4494

Angol cím

Support Incident Tracker Multiple Cross-Site Scripting Vulnerabilities

Felfedezés dátuma

2011.03.02.

Súlyosság

Alacsony

Érintett rendszerek

N/A
Support Incident Tracker

Érintett verziók

Support Incident Tracker 3.x

Összefoglaló

A Support Incident Tracker több sérülékenységét is felfedezték, melyeket a támadók kihasználhatnak cross-site scripting (XSS/CSS) támadások indítására.

Leírás

A sérülékenységeket a lib/magpierss/scripts/magpie_debug.php és a lib/magpierss/scripts/magpie_simple.php “url” paraméterének, a lib/magpierss/scripts/magpie_slashbox.php “rss_url” paraméterének és a feedback.php “ax” paraméterének átadott bemenetek nem megfelelő ellenőrzése okozza, mielőtt azokat megjelenítenék a felhasználónak. Ez kihasználható tetszőleges HTML és script kódok beszúrására, melyek lefuttatásra kerülnek a felhasználó böngésző munkamenetében, az érintett oldallal kapcsolatosan.

A sérülékenységeket a 3.62. verzióban igazolták. Más kiadások is érintettek lehetnek.

Megoldás

Javítsa a forráskódot a bemenet megfelelő ellenőrzése érdekében